version: '3'

services:
  nginx:
    image: nginx:latest
    ports:
      - "8080:80"  # Este es el puerto en el que Nginx escuchará en tu máquina local
    volumes:
      - ./src:/var/www/html   # Asegúrate de que tu código PHP esté mapeado
      - ./nginx.conf:/etc/nginx/conf.d/default.conf  # El archivo Nginx modificado
      - /var/www/html/images:/var/www/html/images
    depends_on:
      - php   # Nginx depende del servicio PHP

  php:
    build: .
    env_file:
      - .env.prod   # Si usas variables de entorno, asegúrate de que este archivo esté presente
    volumes:
      - ./src:/var/www/html   # Monta el código PHP en el contenedor
      - /var/www/html/images:/var/www/html/images
      - ./sessions:/var/lib/php/sessions
    expose:
      - "9000"   # PHP escucha en el puerto 9000 dentro del contenedor
